package com.izouma.awesomeadmin.dao;

import com.izouma.awesomeadmin.model.ChatInfo;
import com.izouma.awesomeadmin.model.UsersSession;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository("com.izouma.awesomeadmin.dao.UsersSessionMapper")
public interface UsersSessionMapper {

    int deleteByPrimaryKey(Integer id);


    int insert(UsersSession record);


    int insertSelective(UsersSession record);


    UsersSession selectByPrimaryKey(Integer id);


    int updateByPrimaryKeySelective(UsersSession record);


    int updateByPrimaryKey(UsersSession record);


    List<UsersSession> queryAllUsersSession(Map<String, Object> parameter);


    List<UsersSession> queryAllUsersSessionByPage(Map<String, Object> parameter);


    List<UsersSession> queryUsersSessionsByPage(Map<String, Object> parameter);

    List<UsersSession> queryUsersSessionList(UsersSession record);


    int delete(String id);


    UsersSession queryUsersSession(UsersSession usersSession);

    int updateByChatInfo(ChatInfo chatInfo);

}